package com.aitrainer.api.test

import org.springframework.boot.test.context.SpringBootTest
import com.aitrainer.api.repository.CustomerRepository
import com.aitrainer.api.model.Customer
import org.junit.jupiter.api.Test
import kotlin.test.assertEquals
import kotlin.test.fail
import org.springframework.beans.factory.annotation.Autowired;

@SpringBootTest
class CustomerTests {

    @Autowired
    lateinit private var customerRepository: CustomerRepository
    private val customerId: Long = 4

    @Test
    fun testInsert() {
        val newCustomer = Customer("Bossanyi", "Tibor", "", 48, "m");
        val savedCustomer: Customer = customerRepository.save(newCustomer)
        assertEquals(savedCustomer.age, 48)

        val customer: Customer = customerRepository.findById( savedCustomer.customer_id ).orElse(null);
        assertEquals( customer.firstname, "Tibor")
        //assertEquals( customer?.name, "Boss")
    }

}